diff -ur -x '*.log' -x '*.diff' -x '*.zip*' -x '*.tar.gz*' -x '*.tar.xz*' -x RELEASE -x PACKAGES -x '*REBUILD*' -x .release -x rpmlist /home/openttd/public_html/bandit/nightlies/r553/log/bandit.nfo /home/openttd/public_html/bandit/nightlies/REBUILD/r553/log/bandit.nfo
--- /home/openttd/public_html/bandit/nightlies/r553/log/bandit.nfo	
+++ /home/openttd/public_html/bandit/nightlies/REBUILD/r553/log/bandit.nfo	
@@ -3251,9 +3255,13 @@
 09 00 
 0A \dx00000000 
 1D \wx12FE 
+16 \dx00000000 
 1E \wx0001 
+16 \dx00000000 
 24 \b0 
+16 \dx00000000 
 25 \b0 
+16 \dx00000000 
 10 17 
 07 05 
 
@@ -3261,42 +3269,42 @@
 17 28 
 
 // Name: @action3_4
-2152 * 33 02 01 CE 89 
+2152 * 33 02 01 CF 89 
 10 00 \dx000000FF 
 \b2 
-\wx00F9 \dx0000000F \dx0000000F 	// hackler_CJ_trailer_2_cap_cb_switch;
+\wx00FA \dx0000000F \dx0000000F 	// hackler_CJ_trailer_2_cap_cb_switch;
 \wx8001 \dx00000023 \dx00000023 	// return 1;
-\wx00FA // hackler_CJ_trailer_2_graphics;
+\wx00FB // hackler_CJ_trailer_2_graphics;
 
 // Name: @action3_5
-2153 * 23 02 01 EC 89 
+2153 * 23 02 01 ED 89 
 10 00 \dx000000FF 
 \b1 
 \wx8000 \dx0000000F \dx0000000F 	// return 0;
-\wx00FA // hackler_CJ_trailer_2_graphics;
+\wx00FB // hackler_CJ_trailer_2_graphics;
 
 // Name: @action3_6
-2154 * 43 02 01 CE 89 
+2154 * 43 02 01 CF 89 
 0C 00 \dx0000FFFF 
 \b3 
-\wx00F9 \dx00000015 \dx00000015 	// hackler_CJ_trailer_2_cap_cb_switch;
-\wx00FD \dx00000019 \dx00000019 	// hackler_CJ_switch_cargo_subtype;
-\wx00CE \dx00000036 \dx00000036 	// @action3_4;
-\wx00FA // hackler_CJ_trailer_2_graphics;
+\wx00FA \dx00000015 \dx00000015 	// hackler_CJ_trailer_2_cap_cb_switch;
+\wx00FE \dx00000019 \dx00000019 	// hackler_CJ_switch_cargo_subtype;
+\wx00CF \dx00000036 \dx00000036 	// @action3_4;
+\wx00FB // hackler_CJ_trailer_2_graphics;
 
 // Name: @action3_7
-2155 * 23 02 01 FA 89 
+2155 * 23 02 01 FB 89 
 0C 00 \dx0000FFFF 
 \b1 
-\wx00EC \dx00000036 \dx00000036 	// @action3_5;
-\wx00FA // hackler_CJ_trailer_2_graphics;
+\wx00ED \dx00000036 \dx00000036 	// @action3_5;
+\wx00FB // hackler_CJ_trailer_2_graphics;
 
 2156 * 12 03 01 01 FF \wx0084 \b1 
-FF \wx00FA 	// @action3_7;
-\wx00CE 	// @action3_6;
+FF \wx00FB 	// @action3_7;
+\wx00CF 	// @action3_6;
 
 // Name: hackler_CJ_articulated_cb_switch
-2157 * 33 02 01 CE 89 
+2157 * 33 02 01 CF 89 
 10 00 \dxFFFFFFFF 
 \b2 
 \wx8083 \dx00000001 \dx00000001 	// 1 .. 1: return 131;
@@ -3304,23 +3312,23 @@
 \wxFFFF // default: return 32767;
 
 // Name: hackler_CJ_sg_truck_hackler_CJ_chassis_tandem_4_8_cab_cc1_2_8_body_fifth_wheel_blue_mask_2_8 - feature 01
-2158 * 9 02 01 FA \b1 \b1 
+2158 * 9 02 01 FB \b1 \b1 
 \w84 
 \w84 
 
 // Name: hackler_CJ_cargo_body_type_switch_DFLT
-2159 * 9 02 01 FA 83 00 \b0 01 
-\wx00FA // (1/1) -> (1/1): hackler_CJ_sg_truck_hackler_CJ_chassis_tandem_4_8_cab_cc1_2_8_body_fifth_wheel_blue_mask_2_8;
+2159 * 9 02 01 FB 83 00 \b0 01 
+\wx00FB // (1/1) -> (1/1): hackler_CJ_sg_truck_hackler_CJ_chassis_tandem_4_8_cab_cc1_2_8_body_fifth_wheel_blue_mask_2_8;
 
 // Name: hackler_CJ_cargo_switch
-2160 * 23 02 01 FA 89 
+2160 * 23 02 01 FB 89 
 47 00 \dx000000FF 
 \b1 
-\wx00FA \dx0000000C \dx0000000C 	// 12 .. 12: hackler_CJ_cargo_body_type_switch_DFLT;
-\wx00FA // default: hackler_CJ_cargo_body_type_switch_DFLT;
+\wx00FB \dx0000000C \dx0000000C 	// 12 .. 12: hackler_CJ_cargo_body_type_switch_DFLT;
+\wx00FB // default: hackler_CJ_cargo_body_type_switch_DFLT;
 
 // Name: hackler_CJ_weight_drawbar_truck
-2161 * 43 02 01 EC 89 
+2161 * 43 02 01 ED 89 
 F2 00 \dx000000FF 
 \b3 
 \wx8010 \dx00000000 \dx00000000 	// 0 .. 0: return 16;
@@ -3329,7 +3337,7 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_CJ_weight_fifth_wheel
-2162 * 33 02 01 F9 89 
+2162 * 33 02 01 FA 89 
 F2 00 \dx000000FF 
 \b2 
 \wx802C \dx00000000 \dx00000000 	// 0 .. 0: return 44;
@@ -3337,15 +3345,15 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_CJ_switch_consist_weight
-2163 * 33 02 01 F9 89 
+2163 * 33 02 01 FA 89 
 1A 00 \dx00000002 
 \b2 
-\wx00EC \dx00000001 \dx00000001 	// 1 .. 1: hackler_CJ_weight_drawbar_truck;
-\wx00F9 \dx00000002 \dx00000002 	// 2 .. 2: hackler_CJ_weight_fifth_wheel;
+\wx00ED \dx00000001 \dx00000001 	// 1 .. 1: hackler_CJ_weight_drawbar_truck;
+\wx00FA \dx00000002 \dx00000002 	// 2 .. 2: hackler_CJ_weight_fifth_wheel;
 \wx8010 // default: return 16;
 
 // Name: hackler_CJ_te_coefficient_drawbar_truck
-2164 * 43 02 01 EC 89 
+2164 * 43 02 01 ED 89 
 F2 00 \dx000000FF 
 \b3 
 \wx804C \dx00000000 \dx00000000 	// 0 .. 0: return 76;
@@ -3354,7 +3362,7 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_CJ_te_coefficient_fifth_wheel_truck
-2165 * 33 02 01 D3 89 
+2165 * 33 02 01 D4 89 
 F2 00 \dx000000FF 
 \b2 
 \wx801B \dx00000000 \dx00000000 	// 0 .. 0: return 27;
@@ -3362,14 +3370,14 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_CJ_switch_te_coefficient
-2166 * 33 02 01 D3 89 
+2166 * 33 02 01 D4 89 
 1A 00 \dx00000002 
 \b2 
-\wx00EC \dx00000001 \dx00000001 	// 1 .. 1: hackler_CJ_te_coefficient_drawbar_truck;
-\wx00D3 \dx00000002 \dx00000002 	// 2 .. 2: hackler_CJ_te_coefficient_fifth_wheel_truck;
+\wx00ED \dx00000001 \dx00000001 	// 1 .. 1: hackler_CJ_te_coefficient_drawbar_truck;
+\wx00D4 \dx00000002 \dx00000002 	// 2 .. 2: hackler_CJ_te_coefficient_fifth_wheel_truck;
 \wx804C // default: return 76;
 
-2167 * 59 00 01 \b22 01 FF \wx0082 
+2167 * 79 00 01 \b26 01 FF \wx0082 
 06 0F 
 12 1A 
 21 28 
@@ -3384,9 +3392,13 @@
 0A \dx00004C48 
 09 6E 
 1D \wx12FE 
+16 \dx00000000 
 1E \wx0001 
+16 \dx00000000 
 24 \b0 
+16 \dx00000000 
 25 \b0 
+16 \dx00000000 
 10 17 
 07 05 
 1C 12 
@@ -3399,55 +3411,55 @@
 17 30 
 
 // Name: @action3_8
-2170 * 43 02 01 EC 89 
+2170 * 43 02 01 ED 89 
 10 00 \dx000000FF 
 \b3 
-\wx00F9 \dx00000014 \dx00000014 	// hackler_CJ_switch_consist_weight;
-\wx00D3 \dx00000018 \dx00000018 	// hackler_CJ_switch_te_coefficient;
+\wx00FA \dx00000014 \dx00000014 	// hackler_CJ_switch_consist_weight;
+\wx00D4 \dx00000018 \dx00000018 	// hackler_CJ_switch_te_coefficient;
 \wx8006 \dx00000023 \dx00000023 	// return 6;
-\wx00FA // hackler_CJ_cargo_switch;
+\wx00FB // hackler_CJ_cargo_switch;
 
 // Name: @action3_9
-2171 * 43 02 01 D3 89 
+2171 * 43 02 01 D4 89 
 10 00 \dx000000FF 
 \b3 
 \wx8017 \dx0000000F \dx0000000F 	// return 23;
-\wx00F9 \dx00000014 \dx00000014 	// hackler_CJ_switch_consist_weight;
-\wx00D3 \dx00000018 \dx00000018 	// hackler_CJ_switch_te_coefficient;
-\wx00FA // hackler_CJ_cargo_switch;
+\wx00FA \dx00000014 \dx00000014 	// hackler_CJ_switch_consist_weight;
+\wx00D4 \dx00000018 \dx00000018 	// hackler_CJ_switch_te_coefficient;
+\wx00FB // hackler_CJ_cargo_switch;
 
 // Name: @action3_10
-2172 * 43 02 01 EC 89 
+2172 * 43 02 01 ED 89 
 0C 00 \dx0000FFFF 
 \b3 
-\wx00CE \dx00000016 \dx00000016 	// hackler_CJ_articulated_cb_switch;
-\wx00FD \dx00000019 \dx00000019 	// hackler_CJ_switch_cargo_subtype;
-\wx00EC \dx00000036 \dx00000036 	// @action3_8;
-\wx00FA // hackler_CJ_cargo_switch;
+\wx00CF \dx00000016 \dx00000016 	// hackler_CJ_articulated_cb_switch;
+\wx00FE \dx00000019 \dx00000019 	// hackler_CJ_switch_cargo_subtype;
+\wx00ED \dx00000036 \dx00000036 	// @action3_8;
+\wx00FB // hackler_CJ_cargo_switch;
 
 // Name: @action3_11
-2173 * 43 02 01 FA 89 
+2173 * 43 02 01 FB 89 
 0C 00 \dx0000FFFF 
 \b3 
-\wx00CE \dx00000016 \dx00000016 	// hackler_CJ_articulated_cb_switch;
+\wx00CF \dx00000016 \dx00000016 	// hackler_CJ_articulated_cb_switch;
 \wx8005 \dx00000023 \dx00000023 	// return string(STR_BUY_MENU_TEXT, string(STR_line_haul), string(STR_BUY_MENU_CONSIST_INFO, string(STR_EMPTY), string(STR_ONE_MORE_LINE, string(STR_BUY_MENU_TRAILER, 23, 1), string(STR_BUY_MENU_TRAILER, 46, 2))));
-\wx00D3 \dx00000036 \dx00000036 	// @action3_9;
-\wx00FA // hackler_CJ_cargo_switch;
+\wx00D4 \dx00000036 \dx00000036 	// @action3_9;
+\wx00FB // hackler_CJ_cargo_switch;
 
 2174 * 12 03 01 01 FF \wx0082 \b1 
-FF \wx00FA 	// @action3_11;
-\wx00EC 	// @action3_10;
+FF \wx00FB 	// @action3_11;
+\wx00ED 	// @action3_10;
 
 // Name: hackler_R_switch_cargo_subtype
-2175 * 33 02 01 EC 89 
+2175 * 33 02 01 ED 89 
 1A 00 \dx00000002 
 \b2 
-\wx00FC \dx00000001 \dx00000001 	// 1 .. 1: switch_cb_cargo_subtypes_drawbar_truck;
-\wx00FE \dx00000002 \dx00000002 	// 2 .. 2: switch_cb_cargo_subtypes_fifth_wheel_truck;
+\wx00FD \dx00000001 \dx00000001 	// 1 .. 1: switch_cb_cargo_subtypes_drawbar_truck;
+\wx00FF \dx00000002 \dx00000002 	// 2 .. 2: switch_cb_cargo_subtypes_fifth_wheel_truck;
 \wx8400 // default: return 1024;
 
 // Name: hackler_R_trailer_1_cap_drawbar_pos_1
-2176 * 33 02 01 FA 89 
+2176 * 33 02 01 FB 89 
 F2 00 \dx000000FF 
 \b2 
 \wx8000 \dx00000000 \dx00000000 	// 0 .. 0: return 0;
@@ -3455,7 +3467,7 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_R_trailer_1_cap_drawbar_pos_2
-2177 * 33 02 01 D3 89 
+2177 * 33 02 01 D4 89 
 F2 00 \dx000000FF 
 \b2 
 \wx8000 \dx00000000 \dx00000001 	// 0 .. 1: return 0;
@@ -3463,7 +3475,7 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_R_trailer_1_cap_drawbar_pos_3
-2178 * 33 02 01 CE 89 
+2178 * 33 02 01 CF 89 
 F2 00 \dx000000FF 
 \b2 
 \wx8000 \dx00000000 \dx00000002 	// 0 .. 2: return 0;
@@ -3471,16 +3483,16 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_R_trailer_1_cap_position_drawbar_truck
-2179 * 43 02 01 CE 89 
+2179 * 43 02 01 CF 89 
 40 00 \dx000000FF 
 \b3 
-\wx00FA \dx00000001 \dx00000001 	// 1 .. 1: hackler_R_trailer_1_cap_drawbar_pos_1;
-\wx00D3 \dx00000002 \dx00000002 	// 2 .. 2: hackler_R_trailer_1_cap_drawbar_pos_2;
-\wx00CE \dx00000003 \dx00000003 	// 3 .. 3: hackler_R_trailer_1_cap_drawbar_pos_3;
+\wx00FB \dx00000001 \dx00000001 	// 1 .. 1: hackler_R_trailer_1_cap_drawbar_pos_1;
+\wx00D4 \dx00000002 \dx00000002 	// 2 .. 2: hackler_R_trailer_1_cap_drawbar_pos_2;
+\wx00CF \dx00000003 \dx00000003 	// 3 .. 3: hackler_R_trailer_1_cap_drawbar_pos_3;
 \wx8000 // default: return 0;
 
 // Name: hackler_R_trailer_1_cap_fifth_wheel_pos_2
-2180 * 33 02 01 D3 89 
+2180 * 33 02 01 D4 89 
 F2 00 \dx000000FF 
 \b2 
 \wx8000 \dx00000000 \dx00000000 	// 0 .. 0: return 0;
@@ -3488,7 +3500,7 @@
 \wx8000 // default: return 0;
 
 // Name: hackler_R_trailer_1_cap_fifth_wheel_pos_3
-2181 * 33 02 01 FA 89 
+2181 * 33 02 01 FB 89 
 F2 00 \dx000000FF 
 \b2 
 \wx8000 \dx00000000 \dx00000001 	// 0 .. 1: return 0;
